{
  "description": "IngressPortStatus represents the error condition of a service port",
  "properties": {
    "error": {
      "description": "Error is to record the problem with the service port The format of the error shall comply with the following rules: - built-in error values shall be specified in this file and those shall use\n  CamelCase names\n- cloud provider specific error values must have names that comply with the\n  format foo.example.com/CamelCase.",
      "type": [
        "string",
        "null"
      ]
    },
    "port": {
      "description": "Port is the port number of the ingress port.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "protocol": {
      "description": "Protocol is the protocol of the ingress port. The supported values are: \"TCP\", \"UDP\", \"SCTP\"\n\n",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "port",
    "protocol"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/ingressportstatus/networking/v1"
}